part of study_report;

class StudyReportController extends GetxController {
  // 书籍id
  final String bookId;
  StudyReportController(this.bookId);
  // 报告模型
  ReportModel model = ReportModel();

  @override
  void onReady() {
    _getReport();
    super.onReady();
  }

  /// 获取报告数据
  void _getReport() async {
    model = await LibraryAPI.report(bookId: bookId);
    update();
  }
}
